net.i2p.desktopgui.router

## Class RouterManager

- java.lang.Object
- - net.i2p.desktopgui.router.RouterManager

-     public class RouterManager
      extends Object

  Handle communications with the router instance.
  Author:
    mathias

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RouterManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static I2PAppContext` | `getAppContext()`
    `static RouterContext` | `getRouterContext()`
    `static boolean` | `inI2P()` Check if we are running inside I2P.
    `static void` | `restart()` Restart the running I2P instance.
    `static void` | `shutDown()` Stop the running I2P instance.
    `static void` | `start()` Start an I2P router instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RouterManager

          public RouterManager()

  - ### Method Detail

    - #### getAppContext

          public static I2PAppContext getAppContext()

    - #### getRouterContext

          public static RouterContext getRouterContext()
                                                throws Exception

      Throws:
        `Exception`

    - #### start

          public static void start()

      Start an I2P router instance. This method has limited knowledge (there is no I2P instance running to collect information from). It determines the I2P location using the I2PAppContext.

    - #### restart

          public static void restart()

      Restart the running I2P instance.

    - #### shutDown

          public static void shutDown()

      Stop the running I2P instance.

    - #### inI2P

          public static boolean inI2P()

      Check if we are running inside I2P.